{
  Drake Rider

  (C) 2002 Vampyre SoftWorks
  Created by :  Marek Mauder  
}	


unit GameTypes;

interface

uses Windows, Classes, SysUtils, DirectXGraphics, D3DX8;


type

  long = LongInt;


type
  // D3D8 types aliases

  IDevice = IDirect3DDevice8;
  ITexture = IDirect3DTexture8;
  ISurf = IDirect3DSurface8;
  ID3D = IDirect3D8;
  IVBuffer = IDirect3DVertexBuffer8;
  IIBuffer=IDirect3DIndexBuffer8;


  TD3DPP = TD3DPresent_Parameters;
  TMtrl = TD3DMaterial8;
  TLit=TD3DLiGHT8;
  TVector2 = TD3DXVector2;
  TVector3 = TD3DXVector3;
  TVector4 = TD3DXVector4;



  TMS = TMemoryStream;



type




  TGfxOpt = record
    Width,
      Height: dword;
    Bits: byte;
    Handle: HWnd;
    BackBuffers: byte;
    FullScreen: boolean;
    WaitVBlank: boolean;
    Hal: boolean;
    DepthBuffer: boolean;
    _640x480rate,
      _800x600rate,
      _1024x768rate: long;

  end;






var
  _R: TREct;
  _I: long;
  _Int64: Int64;
  _P: TPoint;
  _D3DR: TD3DRect;
  _Matrix: TD3DMatrix;
  _dm: TD3DDISPLAYMODE;
  _B:boolean;

  _MS:TMemoryStream;
  
  IdentMatrix: TD3DMatrix;


type
  TChar4 = array[0..3] of char;
  TChar8 = array[0..7] of char;
  TChar10 = array[0..9] of char;
  TChar20 = array[0..19] of char;
  TChar40 = array[0..39] of char;
  TChar50 = array[0..49] of char;

  TWPath = array[0..MAX_PATH - 1] of WChar;





implementation


initialization

  D3DXMatrixIdentity(Identmatrix);
  _MS:=TMS.Create;
  Randomize;

finalization 

 _MS.Free;
  
end.

