program Datas;

uses
  Windows,
  EngEquip,
  Classes,
  Objects,
  EngineObj,
  DXObj,
  KeyBoard,
  Campaign,
  CrArmor in 'ObjCr\CrArmor.pas',
  CrWeapons in 'ObjCr\CrWeapons.pas',
  CrEnemies in 'ObjCr\CrEnemies.pas',
  CrDecors in 'ObjCr\CrDecors.pas',
  CrBkgs in 'ObjCr\CrBkgs.pas',
  CrBoss in 'ObjCr\CrBoss.pas',
  CrCamp in 'ObjCr\CrCamp.pas';

{$R *.RES}

var W:TWeapon;
    A:TArmor;
    O:TBossInfo;
    E:TEnemyInfo;
    D:TDecorInfo;
    B:TBackgroundInfo;
    P:TPlayerInfo;
    M:TMInfo;

begin
 Writeln('Creating data file for <Drake Rider> ...');
 Writeln;
 Writeln('*****************************************');
 Writeln('Creating objects:');
 Writeln;

 WeaponMgr:=TWeaponMgr.Create;
 ArmorMgr:=TArmorMgr.Create;
 ObjMgr:=TObjMgr.Create;
 CampMgr:=TCampMgr.Create;


 CreateWeapons;
 CreateArmors;
 CreateEnemies;
 CreateBosses;
 CreateDecors;
 CreateBkgs;
 CreateCamp;
 

 Writeln('Players.....');
 ///// players
 P:=TPlayerInfo.Create;
 P.Name:='Drake Rider';
 Writeln('<',P.Name,'>');
 P.Width:=128;
 P.Height:=64;
 P.FWidth:=64;
 P.FHeight:=32;
 P.HP:=15;
 P.XP:=0;
 P.TexName:='players\drake.png';
 ObjMgr.Add(P);

 WeaponMgr.Save;
 ArmorMgr.Save;
 ObjMgr.Save;
 CampMgr.Save;

 //Sleep(2000);
 Writeln(' WORK DONE ');

 repeat
 until IskeyDown(VK_RETURN)or IsKeyDOWN(VK_ESCAPE);

 WeaponMgr.Free;
 ArmorMgr.Free;
 ObjMgr.Free;
 CampMgr.Free;

end.
